> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Bank Accounts

> List all bank accounts



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/bank_accounts
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/bank_accounts:
    get:
      tags:
        - bank_accounts
      summary: List bank accounts
      description: List bank accounts
      operationId: TrioFoundationWeb.Banking.BankAccountController.index
      parameters:
        - description: Entity ID
          in: query
          name: entity_id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Bank_account_list_response'
          description: Bank accounts
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Bank_account_list_response:
      description: A list of bank account from TrioCore's account management
      example:
        data:
          - default_virtual_account_id: 019f2433-fb01-4316-f197-83c21b874372
            description: Bank account Test 1
            entity_id: 019f2433-fb01-fa4d-7e76-dd576331d404
            id: 019f2433-fb01-76ff-79e6-23932adf2268
            inserted_at: '2026-07-02T19:00:14.209793Z'
            updated_at: '2026-07-02T19:00:14.209798Z'
      properties:
        data:
          items:
            $ref: '#/components/schemas/Bank_account_schema'
          type: array
      title: Bank account list response
      type: object
    Bank_account_schema:
      description: A bank account schema
      example:
        default_virtual_account_id: 019f2433-fb01-4316-f197-83c21b874372
        description: Bank account Test 1
        entity_id: 019f2433-fb01-fa4d-7e76-dd576331d404
        id: 019f2433-fb01-76ff-79e6-23932adf2268
        inserted_at: '2026-07-02T19:00:14.209793Z'
        updated_at: '2026-07-02T19:00:14.209798Z'
      properties:
        default_virtual_account_id:
          description: Bank account default virtual account ID
          format: uuid
          type: string
        description:
          description: Bank account description
          type: string
        entity_id:
          description: Entity ID
          format: uuid
          type: string
        id:
          description: ID
          format: uuid
          type: string
        inserted_at:
          description: Inserted at
          format: date-time
          type: string
        updated_at:
          description: Updated at
          format: date-time
          type: string
      title: Bank account schema
      type: object

````